curl https://api.voicy.co/functions/v1/agent-list \
-H "Authorization: Bearer voicy_sk_live_xxx"
const response = await fetch('https://api.voicy.co/functions/v1/agent-list', {
headers: { 'Authorization': 'Bearer voicy_sk_live_xxx' },
});
const agents = await response.json();
import requests
agents = requests.get(
'https://api.voicy.co/functions/v1/agent-list',
headers={'Authorization': 'Bearer voicy_sk_live_xxx'},
).json()
[
{
"agent_id": "550e8400-e29b-41d4-a716-446655440000",
"name": "Appointment Booker",
"language": "he",
"voice": "Keren",
"agent_type": "singlePrompt",
"active": true,
"prompt": "You are a friendly receptionist that books appointments.",
"welcome_message": "שלום, איך אפשר לעזור?",
"variables_provided": [],
"variables_extracted": [],
"created_at": "2026-06-06T10:00:00Z",
"updated_at": "2026-06-06T10:00:00Z"
}
]
Agents
List Agents
List the agents in your account
GET
/
v1
/
agent-list
curl https://api.voicy.co/functions/v1/agent-list \
-H "Authorization: Bearer voicy_sk_live_xxx"
const response = await fetch('https://api.voicy.co/functions/v1/agent-list', {
headers: { 'Authorization': 'Bearer voicy_sk_live_xxx' },
});
const agents = await response.json();
import requests
agents = requests.get(
'https://api.voicy.co/functions/v1/agent-list',
headers={'Authorization': 'Bearer voicy_sk_live_xxx'},
).json()
[
{
"agent_id": "550e8400-e29b-41d4-a716-446655440000",
"name": "Appointment Booker",
"language": "he",
"voice": "Keren",
"agent_type": "singlePrompt",
"active": true,
"prompt": "You are a friendly receptionist that books appointments.",
"welcome_message": "שלום, איך אפשר לעזור?",
"variables_provided": [],
"variables_extracted": [],
"created_at": "2026-06-06T10:00:00Z",
"updated_at": "2026-06-06T10:00:00Z"
}
]
Returns the agents in your account as an array of Agent
objects. Identity fields only — call Get Agent for an
agent’s variable contract. Both prompt-based and flow agents are included.
Response
An array of Agent objects (withoutvariables_provided / variables_extracted).
curl https://api.voicy.co/functions/v1/agent-list \
-H "Authorization: Bearer voicy_sk_live_xxx"
const response = await fetch('https://api.voicy.co/functions/v1/agent-list', {
headers: { 'Authorization': 'Bearer voicy_sk_live_xxx' },
});
const agents = await response.json();
import requests
agents = requests.get(
'https://api.voicy.co/functions/v1/agent-list',
headers={'Authorization': 'Bearer voicy_sk_live_xxx'},
).json()
[
{
"agent_id": "550e8400-e29b-41d4-a716-446655440000",
"name": "Appointment Booker",
"language": "he",
"voice": "Keren",
"agent_type": "singlePrompt",
"active": true,
"prompt": "You are a friendly receptionist that books appointments.",
"welcome_message": "שלום, איך אפשר לעזור?",
"variables_provided": [],
"variables_extracted": [],
"created_at": "2026-06-06T10:00:00Z",
"updated_at": "2026-06-06T10:00:00Z"
}
]
⌘I